SPI_ALLOC_DEVICE(9)

NAME
spi_alloc_device - Allocate a new SPI device

SYNOPSIS

struct spi_device * spi_alloc_device(struct spi_master * master);

ARGUMENTS

master
    Controller to which device is connected

CONTEXT

can sleep

DESCRIPTION

Allows a driver to allocate and initialize a spi_device without registering it immediately. This allows a driver to directly fill the spi_device with device parameters before calling spi_add_device on it.

Caller is responsible to call spi_add_device on the returned spi_device structure to add it to the SPI master. If the caller needs to discard the spi_device without adding it, then it should call spi_dev_put on it.

Returns a pointer to the new device, or NULL.

COPYRIGHT